export class TextEditorE2EComponent {
  private readonly root: string;
  private readonly input: string;
  private readonly validationError: string;

  constructor(root: string) {
    this.root = `${root}-text-editor`;
    this.input = `${root}-text-input`;
    this.validationError = `${root}-text-editor-error`;
  }

  public getInput(): Cypress.Chainable<Element> {
    return cy.getTestElement(this.input);
  }

  public getErrorMessage(): Cypress.Chainable<Element> {
    return cy.getTestElement(this.validationError);
  }
}
