import { VorgangFormularButtonsE2EComponent } from '../../components/vorgang/vorgang-formular-buttons.e2e.components';
import { ForwardingDialogE2EComponent } from '../../components/vorgang/vorgang-forwarding-dialog.e2e.component';
import { exist } from '../../support/cypress.util';
import { E2EVorgangNavigator } from '../vorgang/vorgang.navigator';

export class E2EForwardingNavigator {
  private readonly vorgangNavigator: E2EVorgangNavigator = new E2EVorgangNavigator();

  private readonly formularButtons: VorgangFormularButtonsE2EComponent = new VorgangFormularButtonsE2EComponent();
  private readonly forwardingDialog: ForwardingDialogE2EComponent = new ForwardingDialogE2EComponent();

  public openForwardDialog(vorgangName: string): void {
    this.vorgangNavigator.openVorgangDetailByName(vorgangName);
    this.formularButtons.getForwardButton().click();
    exist(this.forwardingDialog.getRoot());
  }
}
