import { Component, OnInit } from '@angular/core';
import { RouterModule } from '@angular/router';
import { OzgLogoIconComponent } from '@ods/system';
import { environment } from '../environments/environment';

@Component({
  standalone: true,
  imports: [RouterModule, OzgLogoIconComponent],
  selector: 'app-root',
  templateUrl: './app.component.html',
})
export class AppComponent implements OnInit {
  public isBayern: boolean;

  ngOnInit() {
    this.isBayern = environment.bundesland === 'by';
  }
}
