import { SettingsService } from '@admin-client/settings-shared';
import { ResourceRepository } from '@alfa-client/tech-shared';
import { createPostfachResourceService, PostfachResourceService } from './postfach-resource.service';

export const PostfachProviders = [
  SettingsService,
  {
    provide: PostfachResourceService,
    useFactory: createPostfachResourceService,
    deps: [ResourceRepository, SettingsService],
  },
];
