import { User } from '@admin-client/user-shared';
import { createUser } from '../../test/user';
import { ToUserRolesPipe } from './to-user-roles.pipe';

describe('toUserRolesPipe', () => {
  const user: User = createUser();
  const getUserRolesPipe = new ToUserRolesPipe();

  it('should return admin and alfa user roles', () => {
    const roles: string[] = getUserRolesPipe.transform(user);

    expect(roles).toEqual([...user.clientRoles.alfa, ...user.clientRoles.admin]);
  });
});
