import { User } from '@admin-client/user-shared';
import { Pipe, PipeTransform } from '@angular/core';

@Pipe({
  name: 'toUserRoles',
  standalone: true,
})
export class ToUserRolesPipe implements PipeTransform {
  transform(user: User): string[] {
    return Object.keys(user.clientRoles).reduce((acc: string[], client: string): string[] => {
      acc.push(...user.clientRoles[client]);
      return acc;
    }, []);
  }
}
