import { Route } from '@angular/router';
import { AccessibilityPageComponent } from '../pages/accessibility/accessibility-page.component';
import { ImpressumPageComponent } from '../pages/impressum/impressum-page.component';

export const appRoutes: Route[] = [
  {
    path: '',
    redirectTo: 'barrierefreiheit',
    pathMatch: 'full',
  },
  {
    path: 'barrierefreiheit',
    component: AccessibilityPageComponent,
    title: 'Barrierefreiheit',
  },
  {
    path: 'impressum',
    component: ImpressumPageComponent,
    title: 'Impressum',
  },
  { path: '**', redirectTo: 'barrierefreiheit' },
];
