import { BescheidLinkRel, BescheidResource, BescheidSendBy } from '@alfa-client/bescheid-shared';
import { Component, EventEmitter, inject, Input, Output } from '@angular/core';
import { BescheidFormService } from '../../../bescheid.formservice';

@Component({
  selector: 'alfa-bescheid-wizard-bescheid-versenden-form',
  templateUrl: './bescheid-wizard-bescheid-versenden-form.component.html',
})
export class BescheidWizardBescheidVersendenFormComponent {
  @Input() bescheidResource: BescheidResource;

  @Output() sendBy: EventEmitter<BescheidSendBy> = new EventEmitter<BescheidSendBy>();

  public readonly formService: BescheidFormService = inject(BescheidFormService);

  public readonly bescheidLinkRel = BescheidLinkRel;
  public readonly formServiceClass = BescheidFormService;
  public readonly bescheidSendBy = BescheidSendBy;

  public changeSendBy(sendBy: BescheidSendBy): void {
    this.sendBy.emit(sendBy);
  }
}
