import { CommandResource } from '@alfa-client/command-shared';
import { StateResource } from '@alfa-client/tech-shared';
import { Component, EventEmitter, Input, Output } from '@angular/core';

@Component({
  selector: 'alfa-vorgang-archive-confirmation-dialog',
  templateUrl: './vorgang-archive-confirmation-dialog.component.html',
})
export class VorgangArchiveConfirmationDialogComponent {
  @Input() archiveStateResource: StateResource<CommandResource>;

  @Output() cancelButtonClicked: EventEmitter<void> = new EventEmitter();
  @Output() confirmationButtonClicked: EventEmitter<void> = new EventEmitter();
}
